# perl-Crypt-HSXKPasswd
Name:           hsxkpasswd
Version:        3.6
Release:        15%{?dist}
Summary:        Secure memorable password generator

# Main program is BSD, dictionaries are GPL except EN and ES which are BSD
License:        BSD and GPLv2+
URL:            https://www.bartbusschots.ie/s/publications/software/xkpasswd/
Source0:        http://www.cpan.org/authors/id/B/BA/BARTB/Crypt-HSXKPasswd-v%{version}.tar.gz
# Restore compatibility with Type-Tiny-2.000001, proposed to an upstream,
# bug #2133001, CPAN RT#144672
Patch0:         Crypt-HSXKPasswd-v3.6-multisig.patch

BuildArch:      noarch

BuildRequires:  perl(:VERSION) >= 5.16
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(base)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Clone)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(Data::Entropy::Algorithms)
BuildRequires:  perl(DateTime)
BuildRequires:  perl(Devel::StackTrace)
BuildRequires:  perl(Email::Valid)
BuildRequires:  perl(Encode)
BuildRequires:  perl(English)
BuildRequires:  perl(Fatal)
BuildRequires:  perl(File::HomeDir)
BuildRequires:  perl(File::Share)
BuildRequires:  perl(File::ShareDir) >= 1.00
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(JSON)
BuildRequires:  perl(lib)
BuildRequires:  perl(List::MoreUtils)
BuildRequires:  perl(LWP::UserAgent)
BuildRequires:  perl(Math::BigInt)
BuildRequires:  perl(Math::Random::Secure)
BuildRequires:  perl(Math::Round)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Module::Load)
BuildRequires:  perl(Mozilla::CA)
BuildRequires:  perl(parent)
BuildRequires:  perl(Pod::Usage)
BuildRequires:  perl(Readonly)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(strict)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Text::Unidecode)
BuildRequires:  perl(Type::Library)
BuildRequires:  perl(Type::Params)
BuildRequires:  perl(Types::Standard)
BuildRequires:  perl(Type::Tiny)
BuildRequires:  perl(URI)
BuildRequires:  perl(utf8)
BuildRequires:  perl(version)
BuildRequires:  perl(warnings)

%description
A secure memorable password generator inspired by the wonderful XKCD
webcomic at http://www.xkcd.com/ and Steve Gibson's Password Haystacks page
at https://www.grc.com/haystack.htm. This is the Perl module that powers
https://www.xkpasswd.net.


%prep
%autosetup -p1 -n Crypt-HSXKPasswd-v%{version}


%build
%{__perl} Build.PL --installdirs=vendor
./Build


%install
./Build install --destdir=$RPM_BUILD_ROOT --create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;
rm -rf $RPM_BUILD_ROOT%{perl_vendorlib}/auto

%{_fixperms} $RPM_BUILD_ROOT/*


%check
./Build test


%files
%license LICENSE
%doc META.json README share/sample_config.json share/sample_hsxkpasswdrc
%{_bindir}/%{name}
%{perl_vendorlib}/*
%{_mandir}/man3/*
%{_mandir}/man1/%{name}.1.*


%changelog
* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.6-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jan 06 2023 Petr Pisar <ppisar@redhat.com> - 3.6-14
- Restore compatibility with Type-Tiny-2.000001 (bug #2133001)

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.6-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jun 01 2022 Jitka Plesnikova <jplesnik@redhat.com> - 3.6-12
- Perl 5.36 rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.6-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.6-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sun May 23 2021 Jitka Plesnikova <jplesnik@redhat.com> - 3.6-9
- Perl 5.34 rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.6-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.6-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jun 23 2020 Jitka Plesnikova <jplesnik@redhat.com> - 3.6-6
- Perl 5.32 rebuild

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri May 31 2019 Jitka Plesnikova <jplesnik@redhat.com> - 3.6-3
- Perl 5.30 rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Jul 31 2018 Robert-André Mauchin <zebob.m@gmail.com> - 3.6-1
- Specfile autogenerated by cpanspec 1.78.
